#include "mainwindow.h"
#include "./ui_mainwindow.h"
#include "goods/goods.h"
#include "check/check.h"
#include "settings.h"
#include <iostream>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindow) {
    ui->setupUi(this);
    this->setupStoresList();
}

MainWindow::~MainWindow() { delete ui; }

void MainWindow::setupStoresList() {
    // Make file format that is a regeeex which parse check, load these files
    // here
    parser = *(new Parser());
#ifdef DEBUG
    for (auto module : parser.search_modules()) {
        std::cout << "Module: " << module << std::endl;
    }
#endif
}

void MainWindow::on_checkType_currentIndexChanged(int index) {
    switch (index) {
    case 0:
        ui->checkInfo->setVisible(true);
        break;
    case 1:
        ui->checkInfo->setVisible(false);
        break;
    }
}

void MainWindow::on_parseButton_clicked() {
    QString s(ui->checkContent->toPlainText());
    std::wstring check_plaintext = s.toStdWString();
    parser.set_module(parser.search_modules()[0]);

    std::vector<Goods> c = parser.parse(check_plaintext);

    Check check;

    for (auto g : c) {
        check.add_goods(g);
    }
}
